Bug 448048 - CDROMMULTISESSION returns xa_flag=1 for non-multisession CDs
CDROMMULTISESSION returns xa_flag=1 for non-multisession CDs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 01:30 EDT by David Hull
Modified: 2009-07-14 11:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CDROMMULTISESSION test program (544 bytes, text/plain)
2008-05-23 01:32 EDT, David Hull
no flags Details

  None (edit)
Description David Hull 2008-05-23 01:30:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
The CDROMMULTISESSION ioctl sometimes returns with cdrom_multisession.xa_flag = 1 for CDs, even ones that are not multisession.



Version-Release number of selected component (if applicable):
kernel-2.6.25.3-18.fc9.x86_64

How reproducible:
Sometimes


Steps to Reproduce:
1.Compile and run attached program on difference CDs.


Actual Results:
Often it prints:

fmt:1 xa_flag:1 addr:163570

for a CD that is not multisession.

Expected Results:
For non-multisession CDs it should print:

fmt:1 xa_flag:0 addr:0

Additional info:
If it matters, here are the kernel messages for my DVD-RW drive:

May 18 21:05:05 earth kernel: ata5.00: ATAPI: SONY    CD-RW  CRX300E, KYS2, max UDMA/33
May 18 21:05:05 earth kernel: ata5.00: configured for UDMA/33
May 18 21:05:05 earth kernel: scsi 4:0:0:0: CD-ROM            SONY     CD-RW  CRX300E   KYS2 PQ: 0 ANSI: 5
May 18 21:05:05 earth kernel: Driver 'sr' needs updating - please use bus_type methods
May 18 21:05:05 earth kernel: sr0: scsi3-mmc drive: 0x/48x writer cd/rw xa/form2 cdda tray
May 18 21:05:05 earth kernel: Uniform CD-ROM driver Revision: 3.20
May 18 21:05:05 earth kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0
May 18 21:05:05 earth kernel: sd 1:0:0:0: Attached scsi generic sg1 type 0
May 18 21:05:05 earth kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
May 18 21:05:05 earth kernel: sd 3:0:0:0: Attached scsi generic sg3 type 0
May 18 21:05:05 earth kernel: sr 4:0:0:0: Attached scsi generic sg4 type 5


It had been returning the incorrect results every time, but as I was writing the test program to report this bug, it started only failing some of the time instead of every time.
Comment 1 David Hull 2008-05-23 01:32:50 EDT
Created attachment 306448 [details]
CDROMMULTISESSION test program

Compile with gcc -o cdmstest cdmstest.c
Comment 2 Bug Zapper 2009-06-09 21:06:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:47:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.